View Issue Details

IDProjectCategoryLast Update
0024638AI War 2[All Projects] Crash/ExceptionMar 31, 2021 2:37 pm
ReporterZweihander2021Assigned Tox4000Bughunter 
Severityminor 
Status resolvedResolutionfixed 
Product VersionBeta 2.764 Command Station Hotfix 
Fixed in VersionBeta 2.765 The Hunt For Frigates And Civilians 
Summary0024638: Error in targeting
DescriptionHappened on the AI homeworld when I tried to warp to another planet

3/30/2021 4:58:22 PM 2.764 SINGLEP Error in targeting core calculation of importance System.NullReferenceException: Object reference not set to an instance of an object
  at System.Collections.Generic.Dictionary`2[TKey,TValue].FindEntry (TKey key) [0x00042] in <9577ac7a62ef43179789031239ba8798>:0
  at System.Collections.Generic.Dictionary`2[TKey,TValue].ContainsKey (TKey key) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0
  at Arcen.Universal.ArcenSparseLookup`2[K,T].GetItemForKey (K Key) [0x00001] in <0dbe617830d34d3f9ea90d25adf53274>:0
  at Arcen.Universal.ArcenSparseLookup`2[K,T].get_Item (K key) [0x00001] in <0dbe617830d34d3f9ea90d25adf53274>:0
  at Arcen.AIW2.External.TargetEvaluator_ZombifyAsPrimary.CalculateNormalizedAdditionToCoreImportance (Arcen.AIW2.Core.GameEntity_Squad AttackerEntity, Arcen.AIW2.Core.EntitySystem AttackerSystem, Arcen.AIW2.Core.GameEntity_Squad DefenderEntity, System.Boolean priorityAIBased) [0x0014a] in <530e5f0408bb463da28b713b904d5d16>:0
  at Arcen.AIW2.External.TargetListPlanning.CalculateCoreImportance (Arcen.AIW2.Core.GameEntity_Squad AttackerEntity, Arcen.AIW2.Core.EntitySystem AttackerSystem, Arcen.AIW2.Core.GameEntity_Squad DefenderEntity, Arcen.Universal.ArcenCharacterBuffer traceBuffer) [0x001c2] in <530e5f0408bb463da28b713b904d5d16>:0
  at Arcen.AIW2.External.TargetListPlanning.FindTopEntriesForSystem (Arcen.AIW2.Core.GameEntity_Squad AttackerEntity, Arcen.AIW2.Core.EntitySystem AttackerSystem, System.Int32 SystemIndex, Arcen.Universal.ArcenCharacterBuffer traceBuffer) [0x00567] in <530e5f0408bb463da28b713b904d5d16>:0
  at System.Environment.get_StackTrace () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity, System.DateTime Timestamp) [0x00000] in <0dbe617830d34d3f9ea90d25adf53274>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, System.Boolean IncludeStackTrace, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0dbe617830d34d3f9ea90d25adf53274>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.DebugLogDestination Destination, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0dbe617830d34d3f9ea90d25adf53274>:0
  at Arcen.Universal.ArcenDebugging.ArcenDebugLog (System.String Message, Arcen.Universal.Verbosity Verbosity) [0x00000] in <0dbe617830d34d3f9ea90d25adf53274>:0
  at Arcen.AIW2.External.TargetListPlanning.FindTopEntriesForSystem (Arcen.AIW2.Core.GameEntity_Squad AttackerEntity, Arcen.AIW2.Core.EntitySystem AttackerSystem, System.Int32 SystemIndex, Arcen.Universal.ArcenCharacterBuffer traceBuffer) [0x00000] in <530e5f0408bb463da28b713b904d5d16>:0
  at Arcen.AIW2.External.TargetListPlanning.DoEntityFramePlanningLogic_TargetPrioritizing_SpecificSystem (Arcen.AIW2.Core.GameEntity_Squad AttackerEntity, Arcen.AIW2.Core.EntitySystem AttackerSystem, System.Int32 SystemIndex, Arcen.Universal.ArcenCharacterBuffer traceBuffer) [0x00000] in <530e5f0408bb463da28b713b904d5d16>:0
  at Arcen.AIW2.External.TargetListPlanning.DoEntityFramePlanningLogic_TargetPrioritizing (Arcen.AIW2.Core.GameEntity_Squad AttackerEntity) [0x00000] in <530e5f0408bb463da28b713b904d5d16>:0
  at Arcen.AIW2.Core.EntityCollection.DoForEntities (Arcen.AIW2.Core.GameEntity_Squad+ProcessorDelegate Processor) [0x00000] in <b94cbedd712f4d2e86b6547ccbfc8faa>:0
  at Arcen.AIW2.External.TargetListPlanning.<Execute>b__13_0 (Arcen.AIW2.Core.Planet planet) [0x00000] in <530e5f0408bb463da28b713b904d5d16>:0
  at Arcen.AIW2.Core.Galaxy.DoForPlanets (System.Boolean IncludeDestroyed, Arcen.AIW2.Core.Planet+ProcessorDelegate Processor) [0x00000] in <b94cbedd712f4d2e86b6547ccbfc8faa>:0
  at Arcen.AIW2.Core.World_AIW2.DoForPlanets (System.Boolean IncludeDestroyed, Arcen.AIW2.Core.Planet+ProcessorDelegate Processor) [0x00000] in <b94cbedd712f4d2e86b6547ccbfc8faa>:0
  at Arcen.AIW2.External.TargetListPlanning.Execute () [0x00000] in <530e5f0408bb463da28b713b904d5d16>:0
  at Arcen.AIW2.External.ArcenSimPlanningContext.InnerRun () [0x00000] in <530e5f0408bb463da28b713b904d5d16>:0
  at Arcen.AIW2.External.ArcenThread.InternalActualThreadFunction () [0x00000] in <530e5f0408bb463da28b713b904d5d16>:0
  at System.Threading.ThreadHelper.ThreadStart_Context (System.Object state) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0
  at System.Threading.ExecutionContext.RunInternal (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state, System.Boolean preserveSyncCtx) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0
  at System.Threading.ExecutionContext.Run (System.Threading.ExecutionContext executionContext, System.Threading.ContextCallback callback, System.Object state) [0x00000] in <9577ac7a62ef43179789031239ba8798>:0
  at System.Threading.ThreadHelper.ThreadStart () [0x00000] in <9577ac7a62ef43179789031239ba8798>:0

TagsNo tags attached.

Activities

Zweihander2021

Mar 30, 2021 8:01 pm

reporter  

Error in Target.save (1,506,875 bytes)

x4000Bughunter

Mar 31, 2021 2:37 pm

administrator   ~0060989

Thanks!

* Fixed an exception that could happen in some cross-threading situations in TargetEvaluator_ZombifyAsPrimary.

Issue History

Date Modified Username Field Change
Mar 30, 2021 8:01 pm Zweihander2021 New Issue
Mar 30, 2021 8:01 pm Zweihander2021 File Added: Error in Target.save
Mar 31, 2021 2:37 pm x4000Bughunter Assigned To => x4000Bughunter
Mar 31, 2021 2:37 pm x4000Bughunter Status new => resolved
Mar 31, 2021 2:37 pm x4000Bughunter Resolution open => fixed
Mar 31, 2021 2:37 pm x4000Bughunter Fixed in Version => Beta 2.765 The Hunt For Frigates And Civilians
Mar 31, 2021 2:37 pm x4000Bughunter Note Added: 0060989